curl "https://kodostatus.com/api/v1/uptime-monitors" \
-H "X-API-Key: your_api_key"
{
"monitors": [
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"interval_seconds": 300,
"enabled": true,
"status": "up",
"last_checked_at": "2024-01-15T10:30:00Z",
"service_id": "uuid"
}
]
}
Uptime Monitors
List Uptime Monitors
Get all uptime monitors for your organization
GET
/
uptime-monitors
curl "https://kodostatus.com/api/v1/uptime-monitors" \
-H "X-API-Key: your_api_key"
{
"monitors": [
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"interval_seconds": 300,
"enabled": true,
"status": "up",
"last_checked_at": "2024-01-15T10:30:00Z",
"service_id": "uuid"
}
]
}
Response
Show monitor object
Show monitor object
Unique monitor identifier
Monitor name
URL being monitored
Check interval in seconds
Whether monitor is active
Current status:
up, down, degradedISO 8601 timestamp of last check
Linked service ID (if any)
curl "https://kodostatus.com/api/v1/uptime-monitors" \
-H "X-API-Key: your_api_key"
{
"monitors": [
{
"id": "uuid",
"name": "API Health Check",
"url": "https://api.example.com/health",
"interval_seconds": 300,
"enabled": true,
"status": "up",
"last_checked_at": "2024-01-15T10:30:00Z",
"service_id": "uuid"
}
]
}
⌘I